﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using IGPivotGrid.Samples.Controls;
using Infragistics.Olap.FlatData;
using Infragistics.Olap;
using System.ComponentModel;
using Infragistics.Olap.Data;
using System.Collections.ObjectModel;

namespace PivotGridFlatData
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
 


            InitializeComponent();

            CubeMetadata cubeMetadata = new CubeMetadata();
            cubeMetadata.DisplayName = "Sales Data";
            cubeMetadata.DataTypeFullName = "IGPivotGrid.Samples.Controls.Sale";
            cubeMetadata.DimensionSettings.Add(new DimensionMetadata()
            {
                SourcePropertyName = "City",
                DisplayName = "City",
                DimensionType = DimensionType.Measure,
                Aggregator = new Infragistics.Olap.TopCountOfStringAggregator()
            });
            cubeMetadata.DimensionSettings.Add(new DimensionMetadata()
            {
                SourcePropertyName = "AmountOfSale",
                DisplayName = "Amount Of Sale",
                DisplayFormat = "{0:C2}",
                Aggregator = new DoubleSumAggregator()
            });

           
            (this.Resources["flatDataSource"] as FlatDataSource).CubesSettings.Add(cubeMetadata);

            ((FlatDataSource)this.pivotGrid.DataSource).ItemsSource = new SalesCollection();
         
        

        }

         

     





       
    }
}

